:root {
    --cor-pricipal: #6E859F ;
    --cor-secundaria: #284260;
    --cor-destaque: #38e914;
    --cor-texto: #FFFFFF;
    --corAzul: #17043b;
    --corAmarela: #fbca2d;
    --corVermelha: #ff0000;
    --corAzulEscuro: #090117;
}

/* Estilos dos projetos */

section.meus-projetos {
    padding: 80px 0;
}

.titulo-projetos {
    margin-bottom: 32px;
}

.meus-projetos .projetos-container {
    display: grid;
    grid-template: 1fr / 1fr 1fr 1fr;
    gap: 24px;
}

.projetos-container .projetos-box {
    min-width: 200px;
    height: 400px;
    border: 2px solid var(--corAmarela);
    border-radius: 16px;

    background-size: cover;
    transition: background-position 5s ease-in-out;

    position: relative;
}

.infor-projetos {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #170439b0;
    border-radius: 16px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 16px;

    color: var(--cor-texto);
    font-size: 18px;

    opacity: 0;
}

.infor-projetos:hover {
    opacity: 1;
    transition: .2s;
}

.projetos-container .projetos-box:hover {
    background-position-y: 100%;
}

.projeto6:hover {
    background-position-x: 100%;
}

.projeto5:hover {
    background-position-x: 100%;
}

.projeto4:hover {
    background-position-x: 100%;
}

.projeto3:hover {
    background-position-x: 100%;
}

.projetos-container .projeto1 {
    background-image: url('../../img/Biblioteca\ Digital\ 2.png') ;
}

.projetos-container .projeto2 {
    background-image: url('../../img/Meu\ portfólio.png') ;
}

.projetos-container .projeto3 {
    background-image: url('../../img/Animafrix.jpg') ;
}

.projetos-container .projeto4 {
    background-image: url('../../img/sliding\ puzzle.jpg') ;
}

.projetos-container .projeto5 {
    background-image: url('../../img/Aventura\ na\ Floresta\ Sombria.jpg') ;
}

.projetos-container .projeto6 {
    background-image: url('../../img/tails.jpg') ;
}